from django import forms
from django.core.validators import FileExtensionValidator


class LogoForm(forms.Form):
    namesystem = forms.CharField(max_length=30, label="Название системы", required=False)
    logo = forms.FileField(label="Логотип")
    logo.widget.attrs.update({'accept':'.png, .svg, .ico'})

class ColorsForm(forms.Form):
    btnBg = forms.CharField(label='Цвет кнопок', max_length=7, widget=forms.TextInput(attrs={'type': 'color'}))

    btnTxt = forms.CharField(label='Цвет текста кнопок', max_length=7, widget=forms.TextInput(attrs={'type': 'color'}))

    btnSuccessBg = forms.CharField(label='Цвет кнопок успеха', max_length=7, widget=forms.TextInput(attrs={'type': 'color'}))
    
    btnSuccessTxt = forms.CharField(label='Цвет текста кнопок успеха', max_length=7, widget=forms.TextInput(attrs={'type': 'color'}))

    btnDangerBg = forms.CharField(label='Цвет текста кнопок предупреждения', max_length=7, widget=forms.TextInput(attrs={'type': 'color'}))
    
    btnDangerTxt = forms.CharField(label='Цвет текста кнопок предупреждения', max_length=7, widget=forms.TextInput(attrs={'type': 'color'}))
    
    pillsBg = forms.CharField(label='Цвет плашек в меню', max_length=7, widget=forms.TextInput(attrs={'type': 'color'}))

    pillsTxt = forms.CharField(label='Цвет текста плашек в меню', max_length=7, widget=forms.TextInput(attrs={'type': 'color'}))

    linksTxt = forms.CharField(label='Цвет текста ссылок', max_length=7, widget=forms.TextInput(attrs={'type': 'color'}))

